/*******************************************************************\
*
*	Copyright (c) 2005 Jetico, Inc., Finland
*	All rights reserved.
*
*	File: kg_errors.h
*	Revision: 
*	Created:
*	Description: declaration of error codes
*		that are used to work with KGGhost.DLL
*
\*******************************************************************/

#ifndef BCMOD_V8_KG_ERRORS_H
#define BCMOD_V8_KG_ERRORS_H

/*******************************************************
 *
 *	Error codes
 *
 *******************************************************/

#define ERROR_NO							0x00000000
#define ERROR_INTERNAL_PROBLEM				0x00000001
#define ERROR_INVALID_ALGORITHM				0x00000002
#define ERROR_INCORRECT_CREATE_FLAG			0x00000003
#define ERROR_INCORRECT_FORMAT_VERSION		0x00000004
#define ERROR_INCORRECT_BLOCK_SIGNATURE		0x00000005
#define ERROR_DAMAGED_DATA_BLOCK			0x00000006
#define ERROR_CANCELLED_BY_USER				0x00000007
#define ERROR_USER_PASSWORDS_MISMATCH		0x00000008
#define ERROR_INCORRECT_PASSWORD			0x00000009
#define ERROR_NOT_ENOUGH_INIT_KEYS			0x0000000a
#define ERROR_INCORRECT_ENCR_ALGORITHM		0x0000000b
#define ERROR_INCORRECT_HASH_ALGORITHM		0x0000000c
#define ERROR_INCORRECT_DATA_BLOCK_SIZE		0x0000000d
#define ERROR_NOT_ENOUGH_SPACE_FOR_KEY		0x0000000e
#define ERROR_INCORRECT_POOL				0x0000000f
#define ERROR_NO_JUST_GO_BACK				0x00000010
#define ERROR_BUFFER_TOO_SMALL				0x00000011
#define ERROR_IN_GENERATING_ASYM_KEYS		0x00000012
#define ERROR_HID_PASSWORD_INVALID			0x00000013
#define ERROR_MASTER_PASSWORD_ENTERED		0x00000014
#define ERROR_INVALID_KEY_BLOCK_ALGORITHM	0x00000015
#define ERROR_AdvancedDlgRequired			0x00000016
#define ERROR_MountPointIsInvalid			0x00000017


#endif
