#ifndef V8_WINTYPES_H
#define V8_WINTYPES_H

#define LOBYTE(x) ((x) & 0xFF)
#define HIBYTE(x) (((x)>>8) & 0xFF)
#define LOWORD(x) ((x) & 0xFFFF)
#define HIWORD(x) (((x)>>16) & 0xFFFF)
#define MAKEWORD(x, y) ((((y)<<8) & 0xFF00) |((x)&0xFF))

typedef	void		VOID;
typedef	int		BOOL;
typedef unsigned char	BYTE;
typedef char*		PBYTE;
typedef unsigned char	UCHAR;
typedef unsigned char*	PUCHAR;
typedef unsigned short	WORD;
typedef unsigned short*	PWORD;
typedef unsigned short	USHORT;
typedef unsigned short*	PUSHORT;
typedef unsigned int	DWORD;
typedef unsigned int*	PDWORD;
typedef unsigned long long int	DWORDLONG;
typedef unsigned long long int*	PDWORDLONG;

#define TRUE 1
#define FALSE 0

#endif
