/**
 *	Copyright (c) 2009 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	Description:	BestCrypt driver as a cryptoloop provider implementation.
 *	Scope:		Backend implementation.
 *	Author:		evgeny yakovlev.
 *
 *	History:	
 *	- 22.06.09, created.
 *
 *
 */

#ifndef BC_LINUX_OS_CLPROVIDER_H
#define BC_LINUX_OS_CLPROVIDER_H


#include <common/types.h>
#include "os_fs.h" // bc_os_file_t


namespace bdk
{
namespace backend
{

	struct bc_os_dev_t
	{
		/** device file */
		bc_os_file_t* file;
	};

}
}

#endif

