
#include <strings.h>
#include <string.h>

#include "iofile.h"
#include "misc.h"

#include <container/manager.h>
#include <common/core.h>

using namespace bdk;

BCContainerHandle load_container_file(ContainerFile & file)
{
	BCContainerHandle cont = BCContainer::load_by_data(&file);

	if(!cont) {
		// retry with default undefined type
		cont = BCContainer::load_by_type(&file, "BCv8");
	}

	return cont;
}



