/*******************************************************************
 *
 *	Copyright (c) 1994-1998 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File: hdlg.h
 *	Revision: 
 *	Created:
 *	Description: declaration of procedures that support 
 *		dialog boxes for creating hidden part of containers 
 *		and showing an information message.
 *
 *******************************************************************/

#ifndef __HDLG
#define __HDLG

#include <windows.h>

BOOL HDLG_GetHiddenOffset(
		HWND   hWnd,
		wchar_t   *contFileName, 
		DWORDLONG  mainBodySize,    // in 1 KBytes blocks

		// [OUT] Positions and size of hidden part into main body.
		DWORDLONG  *HPartOffset,    // returns offset in bytes
		DWORDLONG  *HPartSize,

		wchar_t  *mountPoint,      // Mount hidden container on this point
		bool useAllSize
	);


void HDLG_ShowInformationMessage( HWND hWndParent );

#endif /* __HDLG */
