#include <common/dso.h>
#include <common/log.h>
#include <common/exception.h>
#include <common/build.h>

using namespace bdk;

BCDSO::BCDSO( const char* dsoname, bc_dso_resolve_t rflag, bc_dso_visibility_t vflag )
{
	m_handle = backend::bc_dso_load( dsoname, rflag, vflag );
}


BCDSO::~BCDSO() throw()
{
	try {
		backend::bc_dso_release( m_handle );
	} catch ( const std::exception& e ) {
	}
}


