
/*
*	Copyright (c) 2009 Jetico, Inc., Finland
*	All rights reserved.
*/

#include "v7.h"

void V7Container::show_info()
{
	as_result algrc;
	algserv_t alg;

	algrc = algserv_get_by_id(m_interface->algid(), &alg);

	fprintf(stdout, "Container %s information:\n"\
		" Algorithm:       %s\n"\
		" File system:     %s\n"\
		" Description:     %s\n"\
		" Key generator:   %s\n"\
		" Status:          %s\n",
		"TODO",
		(alrgc == ALGSERV_SUCCESS) ? alg.a_name : "Unknown",
		"TODO",
		m_interface->description(),
		m_interface->get_owner()->name(),
		m_interface->is_locked() ? "locked" : "unlocked"
	);
}


bool V7Container::link()
{
	
}


bool V7Container::mount()
{

}

