//  $Id: version.h,v 1.12 2005-05-14 08:01:24 crypt Exp $

#ifndef _VERSION_H
#define _VERSION_H

#define CONTAINER_VERSION 7

#define VERSION_MAJOR 1
#define VERSION_MINOR 9
#define VERSION_PATCH 0

struct bc_version_t
{
	int major;
	int minor;
	int patch;


	bool operator == (bc_version_t const & rhv)
	{
		if(rhv.major != major)
			return false;

		if(rhv.minor != minor)
			return false;

		if(rhv.patch != patch)
			return false;

		return true;
	}


	bool operator != (bc_version_t const & rhv)
	{
		return !this->operator == (rhv);
	}

};

#endif /* _VERSION_H */


